<template>
  <div class="sidebar">
      <div>
          <div class="top d-flex flex-column">
            <router-link class="d-flex"  to="/inbox"><img class=" nav-link__icon" src="../assets/icons/download.svg" alt=""><p>Входящие</p>  </router-link>
            <router-link  class="d-flex"  to="/today"><img class=" nav-link__icon" src="../assets/icons/year.svg" alt=""><p>Сегодня</p> </router-link>
            <router-link class="d-flex"   to="/yesterday"><img class="nav-link__icon" src="../assets/icons/calendar.svg" alt=""><p>Предстоящее</p> </router-link>
          </div>
          <div class="expansion_panel__actions">
              <img class=" nav-link__icon1" src="../assets/icons/next.svg" alt="">
              <p>Проекты</p>
          </div>
          <div class="expansion_panel__actions">
              <img class=" nav-link__icon1" src="../assets/icons/next.svg" alt="">
              <p>Метки</p>
          </div>
          <div class="expansion_panel__actions">
              <img class=" nav-link__icon1" src="../assets/icons/next.svg" alt="">
              <p>Фильтры</p>
          </div>
    
      </div>

</div>
</template>

<script>
export default {
    components: {
        
    }
}
</script>

<style scoped>
.nav-link img {
    width: 20px;
  }
  .nav-link__icon{
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin:0 5px 0 5px;
  } 
    .expansion_panel__actions{
        width: 270px;
        display:flex;
        margin-left: 60px;
        height: 30px;
        border-bottom: 1px solid rgba(172, 170, 170, 0.575);
        margin-bottom: 5px;
    }
    .sidebar{
        width: 330px;
        height: 573px;
        background-color: rgba(0,0,0,0.04);
        text-align: left;
    }
    .nav-link__icon{
        width: 20px;
        height: 20px;
        margin-right: 10px;
    }
    .nav-link__icon1{
        width: 15px;
        height: 20px;
        margin-right: 15px;
        margin-left: 20px;
        margin-bottom: 0px;
    }
    .top{
        margin: 40px 40px 0 40px;
        padding: 0  0 0 40px;
    }
</style>